package cn.com.ty.lift.ud.appmenu.service;

import cn.com.ty.lift.ud.appmenu.mapper.entity.Appmenu;
import cn.com.ty.lift.ud.appmenu.mapper.entity.AppmenuTree;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * app权限-Service
 * 
 * @author Xson
 * @date 2020-06-04
 */
public interface IAppmenuService extends IService<Appmenu> {

    Appmenu findByRouter(String router);

    RestResponse queryAll();

    RestResponse queryAllTree();

    RestResponse queryAllParent();
}
